Subject: Offline Message from Feda Al-Tuwaijri: Ive been trying to reach you all day.
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 14 Jun 2020 13:47:31 -0000

From: Feda Al-Tuwaijri <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

Ive been trying to reach you all day. 

I have called at least 7 times today. Staying on the phone On hold for 10 Minutes before you drop the call. I was able to get to a customer service agent and halfway through our call it dropped. No one called me back. This is disheartening. 

I called because I am unable to use multiple vouchers (from returns of canceled items) in one order. I was told I could do that. I would like to be able to do that or combine all my vouchers into one code. I do not want to make multiple purchases since each one will cost me an additional shipping cost. Even though im a diamond member and im entitled to free shipping which I have never been offered this year. This is extremely frustrating. 

----
Zopim
https://www.zopim.com